Skip to main content
PATCH
/
multichannel
/
workspaces
/
{workspaceID}
/
sequences
/
{sequenceID}
Error
A valid request URL is required to generate request examples
{
  "analytics": {
    "actionCounts": {},
    "computedAt": "<string>",
    "connectionRequests": {
      "accepted": 123,
      "conversion": 123,
      "sent": 123
    },
    "contacts": {
      "completed": 123,
      "failed": 123,
      "inProgress": 123,
      "total": 123
    },
    "emailGoalsAchievedCount": 123,
    "emailGoalsValue": 123,
    "emails": {
      "conversion": 123,
      "replied": 123,
      "sent": 123
    },
    "goalsAchievedCount": 123,
    "linkedinGoalsAchievedCount": 123,
    "linkedinGoalsValue": 123,
    "linkedinMessages": {
      "conversion": 123,
      "replied": 123,
      "sent": 123
    },
    "opportunitiesCount": 123,
    "positiveReplies": {
      "conversion": 123,
      "email": 123,
      "linkedin": 123
    },
    "progressPercentage": 123,
    "totalEmailActionsCount": 123,
    "totalGoalsValue": 123,
    "totalLinkedinActionsCount": 123,
    "totalOpportunitiesValue": 123,
    "trackOpportunitiesEnabled": true
  },
  "createdAt": "<string>",
  "description": "<string>",
  "id": 123,
  "name": "<string>",
  "opportunitiesValue": 123,
  "schedule": {
    "friday": {
      "enabled": true,
      "from": 11,
      "to": 11
    },
    "monday": {
      "enabled": true,
      "from": 11,
      "to": 11
    },
    "saturday": {
      "enabled": true,
      "from": 11,
      "to": 11
    },
    "sunday": {
      "enabled": true,
      "from": 11,
      "to": 11
    },
    "thursday": {
      "enabled": true,
      "from": 11,
      "to": 11
    },
    "tuesday": {
      "enabled": true,
      "from": 11,
      "to": 11
    },
    "wednesday": {
      "enabled": true,
      "from": 11,
      "to": 11
    }
  },
  "senderProfiles": [
    {
      "id": 123,
      "name": "<string>",
      "profilePictureUrl": "<string>"
    }
  ],
  "settings": {
    "bcc": "<string>",
    "cc": "<string>",
    "ccAndBccEnabled": true,
    "espMatchingEnabled": true,
    "openTrackingEnabled": true,
    "opportunitiesValue": 123,
    "optOutLinkEnabled": true,
    "optOutLinkText": "<string>",
    "optOutText": "<string>",
    "optOutTextEnabled": true,
    "plainTextEmailsEnabled": true,
    "trackOpportunitiesEnabled": true
  },
  "status": "<string>",
  "timezone": "<string>",
  "trackOpportunitiesEnabled": true,
  "updatedAt": "<string>",
  "workspaceId": "<string>"
}
{
"data": "<unknown>",
"message": "<string>"
}
{
"data": "<unknown>",
"message": "<string>"
}
{
"data": "<unknown>",
"message": "<string>"
}
{
"data": "<unknown>",
"message": "<string>"
}
{
"data": "<unknown>",
"message": "<string>"
}

Authorizations

Authorization
string
header
required

Path Parameters

workspaceID
string
required

Workspace ID

sequenceID
integer
required

Sequence ID

Body

application/json

Update sequence request. Note: timezone fields accept only IANA time zone names (e.g., America/New_York).

The body is of type object.

Response

OK

analytics
object
createdAt
string
description
string
id
integer
name
string
opportunitiesValue
number
schedule
object
senderProfiles
object[]
settings
object
status
string
timezone
string
trackOpportunitiesEnabled
boolean
updatedAt
string
workspaceId
string